Show / Hide Table of Contents

# Struct OrtApi

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Microsoft.ML.OnnxRuntime

###### Assembly: cs.temp.dll.dll

##### Syntax

    public struct OrtApi

### Fields

#### AddCustomOpDomain

##### Declaration

    public IntPtr AddCustomOpDomain

##### Field Value

Type | Description
--- | ---
IntPtr |

#### AddExternalInitializers

##### Declaration

    public IntPtr AddExternalInitializers

##### Field Value

Type | Description
--- | ---
IntPtr |

#### AddFreeDimensionOverride

##### Declaration

    public IntPtr AddFreeDimensionOverride

##### Field Value

Type | Description
--- | ---
IntPtr |

#### AddFreeDimensionOverrideByName

##### Declaration

    public IntPtr AddFreeDimensionOverrideByName

##### Field Value

Type | Description
--- | ---
IntPtr |

#### AddInitializer

##### Declaration

    public IntPtr AddInitializer

##### Field Value

Type | Description
--- | ---
IntPtr |

#### AddRunConfigEntry

##### Declaration

    public IntPtr AddRunConfigEntry

##### Field Value

Type | Description
--- | ---
IntPtr |

#### AddSessionConfigEntry

##### Declaration

    public IntPtr AddSessionConfigEntry

##### Field Value

Type | Description
--- | ---
IntPtr |

#### AllocatorAlloc

##### Declaration

    public IntPtr AllocatorAlloc

##### Field Value

Type | Description
--- | ---
IntPtr |

#### AllocatorFree

##### Declaration

    public IntPtr AllocatorFree

##### Field Value

Type | Description
--- | ---
IntPtr |

#### AllocatorGetInfo

##### Declaration

    public IntPtr AllocatorGetInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### BindInput

##### Declaration

    public IntPtr BindInput

##### Field Value

Type | Description
--- | ---
IntPtr |

#### BindOutput

##### Declaration

    public IntPtr BindOutput

##### Field Value

Type | Description
--- | ---
IntPtr |

#### BindOutputToDevice

##### Declaration

    public IntPtr BindOutputToDevice

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CastTypeInfoToMapTypeInfo

##### Declaration

    public IntPtr CastTypeInfoToMapTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CastTypeInfoToSequenceTypeInfo

##### Declaration

    public IntPtr CastTypeInfoToSequenceTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CastTypeInfoToTensorInfo

##### Declaration

    public IntPtr CastTypeInfoToTensorInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ClearBoundInputs

##### Declaration

    public IntPtr ClearBoundInputs

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ClearBoundOutputs

##### Declaration

    public IntPtr ClearBoundOutputs

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CloneSessionOptions

##### Declaration

    public IntPtr CloneSessionOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CompareMemoryInfo

##### Declaration

    public IntPtr CompareMemoryInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CopyKernelInfo

##### Declaration

    public IntPtr CopyKernelInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateAllocator

##### Declaration

    public IntPtr CreateAllocator

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateAndRegisterAllocator

##### Declaration

    public IntPtr CreateAndRegisterAllocator

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateArenaCfg

##### Declaration

    public IntPtr CreateArenaCfg

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateArenaCfgV2

##### Declaration

    public IntPtr CreateArenaCfgV2

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateCANNProviderOptions

##### Declaration

    public IntPtr CreateCANNProviderOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateCpuMemoryInfo

##### Declaration

    public IntPtr CreateCpuMemoryInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateCUDAProviderOptions

##### Declaration

    public IntPtr CreateCUDAProviderOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateCustomOpDomain

##### Declaration

    public IntPtr CreateCustomOpDomain

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateEnv

##### Declaration

    public IntPtr CreateEnv

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateEnvWithCustomLogger

##### Declaration

    public IntPtr CreateEnvWithCustomLogger

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateEnvWithCustomLoggerAndGlobalThreadPools

##### Declaration

    public IntPtr CreateEnvWithCustomLoggerAndGlobalThreadPools

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateEnvWithGlobalThreadPools

##### Declaration

    public IntPtr CreateEnvWithGlobalThreadPools

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateIoBinding

##### Declaration

    public IntPtr CreateIoBinding

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateMemoryInfo

##### Declaration

    public IntPtr CreateMemoryInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateOp

##### Declaration

    public IntPtr CreateOp

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateOpaqueValue

##### Declaration

    public IntPtr CreateOpaqueValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateOpAttr

##### Declaration

    public IntPtr CreateOpAttr

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreatePrepackedWeightsContainer

##### Declaration

    public IntPtr CreatePrepackedWeightsContainer

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateRunOptions

##### Declaration

    public IntPtr CreateRunOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateSession

##### Declaration

    public IntPtr CreateSession

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateSessionFromArray

##### Declaration

    public IntPtr CreateSessionFromArray

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateSessionFromArrayWithPrepackedWeightsContainer

##### Declaration

    public IntPtr CreateSessionFromArrayWithPrepackedWeightsContainer

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateSessionOptions

##### Declaration

    public IntPtr CreateSessionOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateSessionWithPrepackedWeightsContainer

##### Declaration

    public IntPtr CreateSessionWithPrepackedWeightsContainer

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateSparseTensorAsOrtValue

##### Declaration

    public IntPtr CreateSparseTensorAsOrtValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateSparseTensorWithValuesAsOrtValue

##### Declaration

    public IntPtr CreateSparseTensorWithValuesAsOrtValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateStatus

##### Declaration

    public IntPtr CreateStatus

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateTensorAsOrtValue

##### Declaration

    public IntPtr CreateTensorAsOrtValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateTensorRTProviderOptions

##### Declaration

    public IntPtr CreateTensorRTProviderOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateTensorTypeAndShapeInfo

##### Declaration

    public IntPtr CreateTensorTypeAndShapeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateTensorWithDataAsOrtValue

##### Declaration

    public IntPtr CreateTensorWithDataAsOrtValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateThreadingOptions

##### Declaration

    public IntPtr CreateThreadingOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CreateValue

##### Declaration

    public IntPtr CreateValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### CustomOpDomain_Add

##### Declaration

    public IntPtr CustomOpDomain_Add

##### Field Value

Type | Description
--- | ---
IntPtr |

#### DisableCpuMemArena

##### Declaration

    public IntPtr DisableCpuMemArena

##### Field Value

Type | Description
--- | ---
IntPtr |

#### DisableMemPattern

##### Declaration

    public IntPtr DisableMemPattern

##### Field Value

Type | Description
--- | ---
IntPtr |

#### DisablePerSessionThreads

##### Declaration

    public IntPtr DisablePerSessionThreads

##### Field Value

Type | Description
--- | ---
IntPtr |

#### DisableProfiling

##### Declaration

    public IntPtr DisableProfiling

##### Field Value

Type | Description
--- | ---
IntPtr |

#### DisableTelemetryEvents

##### Declaration

    public IntPtr DisableTelemetryEvents

##### Field Value

Type | Description
--- | ---
IntPtr |

#### EnableCpuMemArena

##### Declaration

    public IntPtr EnableCpuMemArena

##### Field Value

Type | Description
--- | ---
IntPtr |

#### EnableMemPattern

##### Declaration

    public IntPtr EnableMemPattern

##### Field Value

Type | Description
--- | ---
IntPtr |

#### EnableOrtCustomOps

##### Declaration

    public IntPtr EnableOrtCustomOps

##### Field Value

Type | Description
--- | ---
IntPtr |

#### EnableProfiling

##### Declaration

    public IntPtr EnableProfiling

##### Field Value

Type | Description
--- | ---
IntPtr |

#### EnableTelemetryEvents

##### Declaration

    public IntPtr EnableTelemetryEvents

##### Field Value

Type | Description
--- | ---
IntPtr |

#### FillSparseTensorBlockSparse

##### Declaration

    public IntPtr FillSparseTensorBlockSparse

##### Field Value

Type | Description
--- | ---
IntPtr |

#### FillSparseTensorCoo

##### Declaration

    public IntPtr FillSparseTensorCoo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### FillSparseTensorCsr

##### Declaration

    public IntPtr FillSparseTensorCsr

##### Field Value

Type | Description
--- | ---
IntPtr |

#### FillStringTensor

##### Declaration

    public IntPtr FillStringTensor

##### Field Value

Type | Description
--- | ---
IntPtr |

#### FillStringTensorElement

##### Declaration

    public IntPtr FillStringTensorElement

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetAllocatorWithDefaultOptions

##### Declaration

    public IntPtr GetAllocatorWithDefaultOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetAvailableProviders

##### Declaration

    public IntPtr GetAvailableProviders

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetBoundOutputNames

##### Declaration

    public IntPtr GetBoundOutputNames

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetBoundOutputValues

##### Declaration

    public IntPtr GetBoundOutputValues

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetCANNProviderOptionsAsString

##### Declaration

    public IntPtr GetCANNProviderOptionsAsString

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetCUDAProviderOptionsAsString

##### Declaration

    public IntPtr GetCUDAProviderOptionsAsString

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetCurrentGpuDeviceId

##### Declaration

    public IntPtr GetCurrentGpuDeviceId

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetDenotationFromTypeInfo

##### Declaration

    public IntPtr GetDenotationFromTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetDimensions

##### Declaration

    public IntPtr GetDimensions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetDimensionsCount

##### Declaration

    public IntPtr GetDimensionsCount

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetErrorCode

##### Declaration

    public IntPtr GetErrorCode

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetErrorMessage

##### Declaration

    public IntPtr GetErrorMessage

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetExecutionProviderApi

##### Declaration

    public IntPtr GetExecutionProviderApi

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetMapKeyType

##### Declaration

    public IntPtr GetMapKeyType

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetMapValueType

##### Declaration

    public IntPtr GetMapValueType

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetOnnxTypeFromTypeInfo

##### Declaration

    public IntPtr GetOnnxTypeFromTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetOpaqueValue

##### Declaration

    public IntPtr GetOpaqueValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetSequenceElementType

##### Declaration

    public IntPtr GetSequenceElementType

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetSparseTensorFormat

##### Declaration

    public IntPtr GetSparseTensorFormat

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetSparseTensorIndices

##### Declaration

    public IntPtr GetSparseTensorIndices

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetSparseTensorIndicesTypeShape

##### Declaration

    public IntPtr GetSparseTensorIndicesTypeShape

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetSparseTensorValues

##### Declaration

    public IntPtr GetSparseTensorValues

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetSparseTensorValuesTypeAndShape

##### Declaration

    public IntPtr GetSparseTensorValuesTypeAndShape

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetStringTensorContent

##### Declaration

    public IntPtr GetStringTensorContent

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetStringTensorDataLength

##### Declaration

    public IntPtr GetStringTensorDataLength

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetStringTensorElement

##### Declaration

    public IntPtr GetStringTensorElement

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetStringTensorElementLength

##### Declaration

    public IntPtr GetStringTensorElementLength

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetSymbolicDimensions

##### Declaration

    public IntPtr GetSymbolicDimensions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetTensorElementType

##### Declaration

    public IntPtr GetTensorElementType

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetTensorMemoryInfo

##### Declaration

    public IntPtr GetTensorMemoryInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetTensorMutableData

##### Declaration

    public IntPtr GetTensorMutableData

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetTensorRTProviderOptionsAsString

##### Declaration

    public IntPtr GetTensorRTProviderOptionsAsString

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetTensorShapeElementCount

##### Declaration

    public IntPtr GetTensorShapeElementCount

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetTensorTypeAndShape

##### Declaration

    public IntPtr GetTensorTypeAndShape

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetTrainingApi

##### Declaration

    public IntPtr GetTrainingApi

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetTypeInfo

##### Declaration

    public IntPtr GetTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetValue

##### Declaration

    public IntPtr GetValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetValueCount

##### Declaration

    public IntPtr GetValueCount

##### Field Value

Type | Description
--- | ---
IntPtr |

#### GetValueType

##### Declaration

    public IntPtr GetValueType

##### Field Value

Type | Description
--- | ---
IntPtr |

#### HasValue

##### Declaration

    public IntPtr HasValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### InvokeOp

##### Declaration

    public IntPtr InvokeOp

##### Field Value

Type | Description
--- | ---
IntPtr |

#### IsSparseTensor

##### Declaration

    public IntPtr IsSparseTensor

##### Field Value

Type | Description
--- | ---
IntPtr |

#### IsTensor

##### Declaration

    public IntPtr IsTensor

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelContext_GetGPUComputeStream

##### Declaration

    public IntPtr KernelContext_GetGPUComputeStream

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelContext_GetInput

##### Declaration

    public IntPtr KernelContext_GetInput

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelContext_GetInputCount

##### Declaration

    public IntPtr KernelContext_GetInputCount

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelContext_GetOutput

##### Declaration

    public IntPtr KernelContext_GetOutput

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelContext_GetOutputCount

##### Declaration

    public IntPtr KernelContext_GetOutputCount

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelInfoGetAttribute_float

##### Declaration

    public IntPtr KernelInfoGetAttribute_float

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelInfoGetAttribute_int64

##### Declaration

    public IntPtr KernelInfoGetAttribute_int64

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelInfoGetAttribute_string

##### Declaration

    public IntPtr KernelInfoGetAttribute_string

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelInfoGetAttributeArray_float

##### Declaration

    public IntPtr KernelInfoGetAttributeArray_float

##### Field Value

Type | Description
--- | ---
IntPtr |

#### KernelInfoGetAttributeArray_int64

##### Declaration

    public IntPtr KernelInfoGetAttributeArray_int64

##### Field Value

Type | Description
--- | ---
IntPtr |

#### MemoryInfoGetDeviceType

##### Declaration

    public IntPtr MemoryInfoGetDeviceType

##### Field Value

Type | Description
--- | ---
IntPtr |

#### MemoryInfoGetId

##### Declaration

    public IntPtr MemoryInfoGetId

##### Field Value

Type | Description
--- | ---
IntPtr |

#### MemoryInfoGetMemType

##### Declaration

    public IntPtr MemoryInfoGetMemType

##### Field Value

Type | Description
--- | ---
IntPtr |

#### MemoryInfoGetName

##### Declaration

    public IntPtr MemoryInfoGetName

##### Field Value

Type | Description
--- | ---
IntPtr |

#### MemoryInfoGetType

##### Declaration

    public IntPtr MemoryInfoGetType

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ModelMetadataGetCustomMetadataMapKeys

##### Declaration

    public IntPtr ModelMetadataGetCustomMetadataMapKeys

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ModelMetadataGetDescription

##### Declaration

    public IntPtr ModelMetadataGetDescription

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ModelMetadataGetDomain

##### Declaration

    public IntPtr ModelMetadataGetDomain

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ModelMetadataGetGraphDescription

##### Declaration

    public IntPtr ModelMetadataGetGraphDescription

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ModelMetadataGetGraphName

##### Declaration

    public IntPtr ModelMetadataGetGraphName

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ModelMetadataGetProducerName

##### Declaration

    public IntPtr ModelMetadataGetProducerName

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ModelMetadataGetVersion

##### Declaration

    public IntPtr ModelMetadataGetVersion

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ModelMetadataLookupCustomMetadataMap

##### Declaration

    public IntPtr ModelMetadataLookupCustomMetadataMap

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RegisterAllocator

##### Declaration

    public IntPtr RegisterAllocator

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RegisterCustomOpsLibrary

##### Declaration

    public IntPtr RegisterCustomOpsLibrary

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseAllocator

##### Declaration

    public IntPtr ReleaseAllocator

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseArenaCfg

##### Declaration

    public IntPtr ReleaseArenaCfg

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseAvailableProviders

##### Declaration

    public IntPtr ReleaseAvailableProviders

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseCANNProviderOptions

##### Declaration

    public IntPtr ReleaseCANNProviderOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseCUDAProviderOptions

##### Declaration

    public IntPtr ReleaseCUDAProviderOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseCustomOpDomain

##### Declaration

    public IntPtr ReleaseCustomOpDomain

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseEnv

##### Declaration

    public IntPtr ReleaseEnv

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseIoBinding

##### Declaration

    public IntPtr ReleaseIoBinding

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseKernelInfo

##### Declaration

    public IntPtr ReleaseKernelInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseMapTypeInfo

##### Declaration

    public IntPtr ReleaseMapTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseMemoryInfo

##### Declaration

    public IntPtr ReleaseMemoryInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseModelMetadata

##### Declaration

    public IntPtr ReleaseModelMetadata

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseOp

##### Declaration

    public IntPtr ReleaseOp

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseOpAttr

##### Declaration

    public IntPtr ReleaseOpAttr

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleasePrepackedWeightsContainer

##### Declaration

    public IntPtr ReleasePrepackedWeightsContainer

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseRunOptions

##### Declaration

    public IntPtr ReleaseRunOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseSequenceTypeInfo

##### Declaration

    public IntPtr ReleaseSequenceTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseSession

##### Declaration

    public IntPtr ReleaseSession

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseSessionOptions

##### Declaration

    public IntPtr ReleaseSessionOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseStatus

##### Declaration

    public IntPtr ReleaseStatus

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseTensorRTProviderOptions

##### Declaration

    public IntPtr ReleaseTensorRTProviderOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseTensorTypeAndShapeInfo

##### Declaration

    public IntPtr ReleaseTensorTypeAndShapeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseThreadingOptions

##### Declaration

    public IntPtr ReleaseThreadingOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseTypeInfo

##### Declaration

    public IntPtr ReleaseTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### ReleaseValue

##### Declaration

    public IntPtr ReleaseValue

##### Field Value

Type | Description
--- | ---
IntPtr |

#### Run

##### Declaration

    public IntPtr Run

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RunOptionsGetRunLogSeverityLevel

##### Declaration

    public IntPtr RunOptionsGetRunLogSeverityLevel

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RunOptionsGetRunLogVerbosityLevel

##### Declaration

    public IntPtr RunOptionsGetRunLogVerbosityLevel

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RunOptionsGetRunTag

##### Declaration

    public IntPtr RunOptionsGetRunTag

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RunOptionsSetRunLogSeverityLevel

##### Declaration

    public IntPtr RunOptionsSetRunLogSeverityLevel

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RunOptionsSetRunLogVerbosityLevel

##### Declaration

    public IntPtr RunOptionsSetRunLogVerbosityLevel

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RunOptionsSetRunTag

##### Declaration

    public IntPtr RunOptionsSetRunTag

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RunOptionsSetTerminate

##### Declaration

    public IntPtr RunOptionsSetTerminate

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RunOptionsUnsetTerminate

##### Declaration

    public IntPtr RunOptionsUnsetTerminate

##### Field Value

Type | Description
--- | ---
IntPtr |

#### RunWithBinding

##### Declaration

    public IntPtr RunWithBinding

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionEndProfiling

##### Declaration

    public IntPtr SessionEndProfiling

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetInputCount

##### Declaration

    public IntPtr SessionGetInputCount

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetInputName

##### Declaration

    public IntPtr SessionGetInputName

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetInputTypeInfo

##### Declaration

    public IntPtr SessionGetInputTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetModelMetadata

##### Declaration

    public IntPtr SessionGetModelMetadata

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetOutputCount

##### Declaration

    public IntPtr SessionGetOutputCount

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetOutputName

##### Declaration

    public IntPtr SessionGetOutputName

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetOutputTypeInfo

##### Declaration

    public IntPtr SessionGetOutputTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetOverridableInitializerCount

##### Declaration

    public IntPtr SessionGetOverridableInitializerCount

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetOverridableInitializerName

##### Declaration

    public IntPtr SessionGetOverridableInitializerName

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetOverridableInitializerTypeInfo

##### Declaration

    public IntPtr SessionGetOverridableInitializerTypeInfo

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionGetProfilingStartTimeNs

##### Declaration

    public IntPtr SessionGetProfilingStartTimeNs

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsAppendExecutionProvider

##### Declaration

    public IntPtr SessionOptionsAppendExecutionProvider

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsAppendExecutionProvider_CANN

##### Declaration

    public IntPtr SessionOptionsAppendExecutionProvider_CANN

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsAppendExecutionProvider_CUDA

##### Declaration

    public IntPtr SessionOptionsAppendExecutionProvider_CUDA

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsAppendExecutionProvider_CUDA_V2

##### Declaration

    public IntPtr SessionOptionsAppendExecutionProvider_CUDA_V2

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsAppendExecutionProvider_MIGraphX

##### Declaration

    public IntPtr SessionOptionsAppendExecutionProvider_MIGraphX

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsAppendExecutionProvider_OpenVINO

##### Declaration

    public IntPtr SessionOptionsAppendExecutionProvider_OpenVINO

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsAppendExecutionProvider_ROCM

##### Declaration

    public IntPtr SessionOptionsAppendExecutionProvider_ROCM

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsAppendExecutionProvider_TensorRT

##### Declaration

    public IntPtr SessionOptionsAppendExecutionProvider_TensorRT

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsAppendExecutionProvider_TensorRT_V2

##### Declaration

    public IntPtr SessionOptionsAppendExecutionProvider_TensorRT_V2

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsSetCustomCreateThreadFn

##### Declaration

    public IntPtr SessionOptionsSetCustomCreateThreadFn

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsSetCustomJoinThreadFn

##### Declaration

    public IntPtr SessionOptionsSetCustomJoinThreadFn

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SessionOptionsSetCustomThreadCreationOptions

##### Declaration

    public IntPtr SessionOptionsSetCustomThreadCreationOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetCurrentGpuDeviceId

##### Declaration

    public IntPtr SetCurrentGpuDeviceId

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetDimensions

##### Declaration

    public IntPtr SetDimensions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetGlobalCustomCreateThreadFn

##### Declaration

    public IntPtr SetGlobalCustomCreateThreadFn

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetGlobalCustomJoinThreadFn

##### Declaration

    public IntPtr SetGlobalCustomJoinThreadFn

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetGlobalCustomThreadCreationOptions

##### Declaration

    public IntPtr SetGlobalCustomThreadCreationOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetGlobalDenormalAsZero

##### Declaration

    public IntPtr SetGlobalDenormalAsZero

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetGlobalInterOpNumThreads

##### Declaration

    public IntPtr SetGlobalInterOpNumThreads

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetGlobalIntraOpNumThreads

##### Declaration

    public IntPtr SetGlobalIntraOpNumThreads

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetGlobalSpinControl

##### Declaration

    public IntPtr SetGlobalSpinControl

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetInterOpNumThreads

##### Declaration

    public IntPtr SetInterOpNumThreads

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetIntraOpNumThreads

##### Declaration

    public IntPtr SetIntraOpNumThreads

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetLanguageProjection

##### Declaration

    public IntPtr SetLanguageProjection

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetOptimizedModelFilePath

##### Declaration

    public IntPtr SetOptimizedModelFilePath

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetSessionExecutionMode

##### Declaration

    public IntPtr SetSessionExecutionMode

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetSessionGraphOptimizationLevel

##### Declaration

    public IntPtr SetSessionGraphOptimizationLevel

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetSessionLogId

##### Declaration

    public IntPtr SetSessionLogId

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetSessionLogSeverityLevel

##### Declaration

    public IntPtr SetSessionLogSeverityLevel

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetSessionLogVerbosityLevel

##### Declaration

    public IntPtr SetSessionLogVerbosityLevel

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SetTensorElementType

##### Declaration

    public IntPtr SetTensorElementType

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SynchronizeBoundInputs

##### Declaration

    public IntPtr SynchronizeBoundInputs

##### Field Value

Type | Description
--- | ---
IntPtr |

#### SynchronizeBoundOutputs

##### Declaration

    public IntPtr SynchronizeBoundOutputs

##### Field Value

Type | Description
--- | ---
IntPtr |

#### TensorAt

##### Declaration

    public IntPtr TensorAt

##### Field Value

Type | Description
--- | ---
IntPtr |

#### UnregisterAllocator

##### Declaration

    public IntPtr UnregisterAllocator

##### Field Value

Type | Description
--- | ---
IntPtr |

#### UpdateCANNProviderOptions

##### Declaration

    public IntPtr UpdateCANNProviderOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### UpdateCUDAProviderOptions

##### Declaration

    public IntPtr UpdateCUDAProviderOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### UpdateEnvWithCustomLogLevel

##### Declaration

    public IntPtr UpdateEnvWithCustomLogLevel

##### Field Value

Type | Description
--- | ---
IntPtr |

#### UpdateTensorRTProviderOptions

##### Declaration

    public IntPtr UpdateTensorRTProviderOptions

##### Field Value

Type | Description
--- | ---
IntPtr |

#### UseBlockSparseIndices

##### Declaration

    public IntPtr UseBlockSparseIndices

##### Field Value

Type | Description
--- | ---
IntPtr |

#### UseCooIndices

##### Declaration

    public IntPtr UseCooIndices

##### Field Value

Type | Description
--- | ---
IntPtr |

#### UseCsrIndices

##### Declaration

    public IntPtr UseCsrIndices

##### Field Value

Type | Description
--- | ---
IntPtr |